/*------------------------------------------default------------------------------------------*/

.Btn-effect,
.Btn-effect--default,
.Btn-effect--default-outline{
    background-color: #3581bc;
    border: 1px #3581bc solid;
    border-radius: 5px;
    color: #fff;
    cursor: pointer;
    display: inline-block;
    font: 400 13px/1 "Roboto", Arial, sans-serif;
    height: 35px;
    margin: 0;
    min-width: 35px;
    padding: 6px 13px 8px;
    text-align: center;
    text-decoration: none;
    transition: all 0.4s ease-in-out;
    outline: none;
    overflow: hidden;
    position: relative;
}

.Btn-effect--default-outline {
    height: 35px;
    background-color: transparent;
    border: 1px #3581bc solid;
    color: #3581bc;
    line-height: 1.3;
}

.Btn-effect--default-outline:hover,
.Btn-effect--default-outline:active {
    border-color: #286a9c;
    color: #286a9c;
}

.Btn-effect--default:hover,
.Btn-effect--default:active {
    background-color: #286a9c;
    color: #FFF;
    border-color: #286a9c;
}

/*------------------------------------------success------------------------------------------*/

.Btn-effect--success,
.Btn-effect--success-outline {
    background-color: #5ac2a0;
    border: 1px #5ac2a0 solid;
    border-radius: 5px;
    color: #fff;
    cursor: pointer;
    display: inline-block;
    font: 400 13px/1 "Roboto", Arial, sans-serif;
    height: 35px;
    margin: 0;
    min-width: 35px;
    padding: 6px 13px 8px;
    text-align: center;
    text-decoration: none;
    transition: all 0.4s ease-in-out;
    outline: none;
}

.Btn-effect--success:active,
.Btn-effect--success-outline:active {
    transition: all 0.4s ease-in-out;
}

.Btn-effect--success:hover,
.Btn-effect--success:active {
    background-color: #4bbd98;
    color: #FFF;
    border: 1px #4bbd98 solid;
}

.Btn-effect--success-outline {
    height: 35px;
    background-color: transparent;
    border: 1px #5ac2a0 solid;
    color: #5ac2a0;
}

.Btn-effect--success-outline:hover,
.Btn-effect--success-outline:active {
    border-color: #4bbd98;
    color: #4bbd98;
}


/*------------------------------------------danger------------------------------------------*/

.Btn-effect--danger,
.Btn-effect--danger-outline {
    background-color: #e45b5b;
    border: 1px #e45b5b solid;
    border-radius: 5px;
    color: #fff;
    cursor: pointer;
    display: inline-block;
    font: 400 13px/1 "Roboto", Arial, sans-serif;
    height: 35px;
    margin: 0;
    min-width: 35px;
    padding: 6px 13px 8px;
    text-align: center;
    text-decoration: none;
    transition: all 0.4s ease-in-out;
    outline: none;
}


.Btn-effect--danger:active,
.Btn-effect--danger-outline:active {
    transition: all 0.4s ease-in-out;
}

.Btn-effect--danger:hover,
.Btn-effect--danger:active {
    background-color: #e14848;
    border: 1px #e14848 solid;
    color: #FFF;
}

.Btn-effect--danger-outline {
    height: 35px;
    background-color: transparent;
    border: 1px #e45b5b solid;
    color: #e45b5b;
}

.Btn-effect--danger-outline:hover,
.Btn-effect--danger-outline:active {
    border-color: #e14848;
    color: #FFF;
}


/*------------------------------------------warnning------------------------------------------*/

.Btn-effect--warnning,
.Btn-effect--warnning-outline {
    background-color: #D2AB7D;
    border: 1px #D2AB7D solid;
    border-radius: 5px;
    color: #fff;
    cursor: pointer;
    display: inline-block;
    font: 400 13px/1 "Roboto", Arial, sans-serif;
    height: 35px;
    margin: 0;
    min-width: 35px;
    padding: 6px 13px 8px;
    text-align: center;
    text-decoration: none;
    transition: all 0.4s ease-in-out;
    outline: none;
}


.Btn-effect--warnning:active,
.Btn-effect--warnning-outline:active {
    transition: all 0.4s ease-in-out;
}

.Btn-effect--warnning:hover,
.Btn-effect--warnning:active {
    background-color: #d2a163;
    color: #FFF;
    border: 1px #d2a163 solid;
}

.Btn-effect--warnning-outline {
    height: 35px;
    background-color: transparent;
    border: 1px #D2AB7D solid;
    color: #D2AB7D;
}

.Btn-effect--warnning-outline:hover,
.Btn-effect--warnning-outline:active {
    border-color: #D2AB7D;
}


/*------------------------------------------icon------------------------------------------*/

.Btn-effect > i,
.Btn-effect--default > i {
    position: relative;
}

.Btn-effect--icon-before > i {
    margin-right: 9px;
}

.Btn-effect--icon-after > i {
    margin-left: 9px;
}

.Btn-effect--square {
    padding-left: 0;
    padding-right: 0;
    width: 35px;
    font-size: 14.3px;
}

.Btn-effect[disabled],
.Btn-effect[disabled]:hover{
  background: #DBDBDB;
  border-color: #DBDBDB;
  cursor: no-drop;;
}
